summaryrefslogtreecommitdiff
path: root/scripts/ipkg
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2017-01-14 20:12:45 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2017-01-14 20:29:25 +0100
commitbdacdf55bfeb050bd0397133e1c30d22af285511 (patch)
tree90e5943e1ac39969df569ff1e7cbc055368a3002 /scripts/ipkg
parentf1a3b891faf2573a8b76cd0df9df1fe5453769f7 (diff)
ipkg: fix cpio usage
Diffstat (limited to 'scripts/ipkg')
-rw-r--r--scripts/ipkg4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/ipkg b/scripts/ipkg
index 268bad943..811fc2388 100644
--- a/scripts/ipkg
+++ b/scripts/ipkg
@@ -808,7 +808,7 @@ Status: install ok pending" | ipkg_status_update_sd $sd $pkg
set -o noglob
rm -r $IPKG_TMP/$pkg/control
- if ! $pkg_extract_stdout $filename ./data.tar.gz|gzip -dc|(cd $IPKG_TMP/$pkg/data && $BIN_DIR/cpio -iud -H ustar) ; then
+ if ! $pkg_extract_stdout $filename ./data.tar.gz|gzip -dc|(cd $IPKG_TMP/$pkg/data && cpio --quiet -iud -H ustar) ; then
echo "ipkg_install_file: ERROR unpacking data.tar.gz from $filename"
return 1
fi
@@ -876,7 +876,7 @@ diff -u $dest/$conffile $IPKG_TMP/$pkg/data/$conffile"
fi
local owd="`pwd`"
- (cd $IPKG_TMP/$pkg/data/; find . | $BIN_DIR/cpio -o -H ustar | (cd $owd; cd $dest; $BIN_DIR/cpio -iud -H ustar))
+ (cd $IPKG_TMP/$pkg/data/; find . | cpio --quiet -o -H ustar | (cd $owd; cd $dest; cpio --quiet -iud -H ustar))
rm -rf $IPKG_TMP/$pkg/data
rmdir $IPKG_TMP/$pkg
rm -f $info_dir/$pkg.list